package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;

@Table("storage_fc_port")
public class StorageFCPort extends GenericEntity {

    @PK(value = PKStrategy.AUTO)
    private Long id; //
    @Column("node_id")
    private Long nodeId; // 所属Node
    @Column("port_uuid")
    private String portUuid; // uuid
    @Column("identifier")
    private String identifier; // 标识
    @Column("wwpn")
    private String wwpn; // wwpn
    @Column("speed")
    private Long speed; // 速率byte
    @Column("link_tech")
    private String linkTech; // 连接技术
    @Column("key_path")
    private String keyPath; // smis传参用
    @Column("operational_status")
    private String operationalStatus; // 运行状态
    @Column("position")
    private String position; // 端口位置
    @Column("storage_name")
    @IgnoreAll
    private String storageName;
    @Column("node_name")
    @IgnoreAll
    private String nodeName;
    @Column("vendor_id")
    @IgnoreAll
    private Long vendorId;

    public String getKeyPath() {
        return keyPath;
    }

    public void setKeyPath(String keyPath) {
        this.keyPath = keyPath;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getNodeId() {
        return nodeId;
    }

    public void setNodeId(Long nodeId) {
        this.nodeId = nodeId;
    }

    public String getPortUuid() {
        return portUuid;
    }

    public void setPortUuid(String portUuid) {
        this.portUuid = portUuid;
    }

    public String getWwpn() {
        return wwpn;
    }

    public void setWwpn(String wwpn) {
        this.wwpn = wwpn;
    }

    public Long getSpeed() {
        return speed;
    }

    public void setSpeed(Long speed) {
        this.speed = speed;
    }

    public String getLinkTech() {
        return linkTech;
    }

    public void setLinkTech(String linkTech) {
        this.linkTech = linkTech;
    }

    public String getIdentifier() {
        return identifier;
    }

    public void setIdentifier(String identifier) {
        this.identifier = identifier;
    }

    public String getOperationalStatus() {
        return operationalStatus;
    }

    public void setOperationalStatus(String operationalStatus) {
        this.operationalStatus = operationalStatus;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public String getStorageName() {
        return storageName;
    }

    public void setStorageName(String storageName) {
        this.storageName = storageName;
    }

    public String getNodeName() {
        return nodeName;
    }

    public void setNodeName(String nodeName) {
        this.nodeName = nodeName;
    }

    public Long getVendorId() {
        return vendorId;
    }

    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }
}
